pipeline {
	environment {
			DOCKERHUB_CREDENTIALS = credentials('dockerahmedbelhedi')
				imageNameBack = 'ahmedbelhedi/back'
				imageNameFront = 'ahmedbelhedi/front'
		}
    agent any
		stages {
			stage('Build docker projetspringbootangular') {
				steps {
					sh 'docker build -t ${imageNameBack}:latest projetjee/'
					echo 'Building Docker Image Back Successfully'
					sh 'docker build -t ${imageNameFront}:latest test/'
					echo 'Building Docker Image Front Successfully'
				}
			}
			stage('Login to Dockerhub') {
				steps {
					sh 'echo $DOCKERHUB_CREDENTIALS_PSW | docker login -u $DOCKERHUB_CREDENTIALS_USR --password-stdin'
					echo 'Login to Dockerhub Successfully'
				}
			}
			stage('Push to Dockerhub') {
				steps {
					sh 'docker push ${imageNameBack}:latest'
					echo 'Pushing Image ${imageNameBack} Successfully'
					sh 'docker push ${imageNameFront}:latest'
					echo 'Pushing Image ${imageNameFront} Successfully'
				}
			}
			stage('docker-compose up') {
				steps {
					sh 'docker-compose up'
					echo 'docker-compose up Successfully'
				}
			}
			
			
			
			/* stage('Clean local env') {
				steps {
					sh 'docker logout $DOCKERHUB_CREDENTIALS_USR'
					sh 'docker image rm ${imageNameBack}:latest'
				    echo 'Cleaning Done Successfully'
				    	sh 'docker image rm ${imageNameFront}:latest'
				    echo 'Cleaning Done Successfully'
				}
			} */
		}
}


